<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:34:05 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Class org.apache.http.HttpHost (HttpComponents Core 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.apache.http.HttpHost (HttpComponents Core 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http//class-useHttpHost.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpHost.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.apache.http.HttpHost</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http"><B>org.apache.http</B></A></TD>
<TD>Core HTTP components based on the blocking I/O model.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.nio.pool"><B>org.apache.http.impl.nio.pool</B></A></TD>
<TD>Basic implementations for interfaces in
<A HREF="../../../../org/apache/http/nio/pool/package-summary.html"><CODE>org.apache.http.nio.pool</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.pool"><B>org.apache.http.impl.pool</B></A></TD>
<TD>Basic implementations for interfaces in
<A HREF="../../../../org/apache/http/pool/package-summary.html"><CODE>org.apache.http.pool</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.nio.protocol"><B>org.apache.http.nio.protocol</B></A></TD>
<TD>Asynchronous HTTP protocol handlers based on the non-blocking I/O model.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A> in <A HREF="../../../../org/apache/http/package-summary.html">org.apache.http</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../org/apache/http/package-summary.html">org.apache.http</A> with parameters of type <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/HttpHost.html#HttpHost(org.apache.http.HttpHost)">HttpHost</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;httphost)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copy constructor for <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http"><CODE>HttpHost</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.nio.pool"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A> in <A HREF="../../../../org/apache/http/impl/nio/pool/package-summary.html">org.apache.http.impl.nio.pool</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../org/apache/http/impl/nio/pool/package-summary.html">org.apache.http.impl.nio.pool</A> with parameters of type <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A></CODE></FONT></TD>
<TD><CODE><B>BasicNIOConnFactory.</B><B><A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#create(org.apache.http.HttpHost, org.apache.http.nio.reactor.IOSession)">create</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;route,
       <A HREF="../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html" title="class in org.apache.http.impl.nio.pool">BasicNIOPoolEntry</A></CODE></FONT></TD>
<TD><CODE><B>BasicNIOConnPool.</B><B><A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html#createEntry(org.apache.http.HttpHost, org.apache.http.nio.NHttpClientConnection)">createEntry</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;host,
            <A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;<A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html" title="class in org.apache.http.impl.nio.pool">BasicNIOPoolEntry</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>BasicNIOConnPool.</B><B><A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html#lease(org.apache.http.HttpHost, java.lang.Object)">lease</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;route,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;<A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html" title="class in org.apache.http.impl.nio.pool">BasicNIOPoolEntry</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>BasicNIOConnPool.</B><B><A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html#lease(org.apache.http.HttpHost, java.lang.Object, org.apache.http.concurrent.FutureCallback)">lease</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;route,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;state,
      <A HREF="../../../../org/apache/http/concurrent/FutureCallback.html" title="interface in org.apache.http.concurrent">FutureCallback</A>&lt;<A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html" title="class in org.apache.http.impl.nio.pool">BasicNIOPoolEntry</A>&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketAddress.html?is-external=true" title="class or interface in java.net">SocketAddress</A></CODE></FONT></TD>
<TD><CODE><B>BasicNIOConnPool.</B><B><A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html#resolveLocalAddress(org.apache.http.HttpHost)">resolveLocalAddress</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;host)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketAddress.html?is-external=true" title="class or interface in java.net">SocketAddress</A></CODE></FONT></TD>
<TD><CODE><B>BasicNIOConnPool.</B><B><A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html#resolveRemoteAddress(org.apache.http.HttpHost)">resolveRemoteAddress</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;host)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../org/apache/http/impl/nio/pool/package-summary.html">org.apache.http.impl.nio.pool</A> with parameters of type <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html#BasicNIOPoolEntry(java.lang.String, org.apache.http.HttpHost, org.apache.http.nio.NHttpClientConnection)">BasicNIOPoolEntry</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;id,
                  <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;route,
                  <A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructor parameters in <A HREF="../../../../org/apache/http/impl/nio/pool/package-summary.html">org.apache.http.impl.nio.pool</A> with type arguments of type <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html#BasicNIOConnPool(org.apache.http.nio.reactor.ConnectingIOReactor, org.apache.http.nio.pool.NIOConnFactory, org.apache.http.params.HttpParams)">BasicNIOConnPool</A></B>(<A HREF="../../../../org/apache/http/nio/reactor/ConnectingIOReactor.html" title="interface in org.apache.http.nio.reactor">ConnectingIOReactor</A>&nbsp;ioreactor,
                 <A HREF="../../../../org/apache/http/nio/pool/NIOConnFactory.html" title="interface in org.apache.http.nio.pool">NIOConnFactory</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,<A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&gt;&nbsp;connFactory,
                 <A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.pool"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A> in <A HREF="../../../../org/apache/http/impl/pool/package-summary.html">org.apache.http.impl.pool</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../org/apache/http/impl/pool/package-summary.html">org.apache.http.impl.pool</A> with parameters of type <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HttpClientConnection.html" title="interface in org.apache.http">HttpClientConnection</A></CODE></FONT></TD>
<TD><CODE><B>BasicConnFactory.</B><B><A HREF="../../../../org/apache/http/impl/pool/BasicConnFactory.html#create(org.apache.http.HttpHost)">create</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;host)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/apache/http/impl/pool/BasicPoolEntry.html" title="class in org.apache.http.impl.pool">BasicPoolEntry</A></CODE></FONT></TD>
<TD><CODE><B>BasicConnPool.</B><B><A HREF="../../../../org/apache/http/impl/pool/BasicConnPool.html#createEntry(org.apache.http.HttpHost, org.apache.http.HttpClientConnection)">createEntry</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;host,
            <A HREF="../../../../org/apache/http/HttpClientConnection.html" title="interface in org.apache.http">HttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../org/apache/http/impl/pool/package-summary.html">org.apache.http.impl.pool</A> with parameters of type <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/impl/pool/BasicPoolEntry.html#BasicPoolEntry(java.lang.String, org.apache.http.HttpHost, org.apache.http.HttpClientConnection)">BasicPoolEntry</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;id,
               <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;route,
               <A HREF="../../../../org/apache/http/HttpClientConnection.html" title="interface in org.apache.http">HttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructor parameters in <A HREF="../../../../org/apache/http/impl/pool/package-summary.html">org.apache.http.impl.pool</A> with type arguments of type <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/impl/pool/BasicConnPool.html#BasicConnPool(org.apache.http.pool.ConnFactory)">BasicConnPool</A></B>(<A HREF="../../../../org/apache/http/pool/ConnFactory.html" title="interface in org.apache.http.pool">ConnFactory</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,<A HREF="../../../../org/apache/http/HttpClientConnection.html" title="interface in org.apache.http">HttpClientConnection</A>&gt;&nbsp;connFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.nio.protocol"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A> in <A HREF="../../../../org/apache/http/nio/protocol/package-summary.html">org.apache.http.nio.protocol</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../org/apache/http/nio/protocol/package-summary.html">org.apache.http.nio.protocol</A> with type parameters of type <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T,E extends <A HREF="../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,<A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&gt;&gt; 
<BR>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequester.</B><B><A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.pool.ConnPool)">execute</A></B>(<A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
        <A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;&nbsp;responseConsumer,
        <A HREF="../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,E&gt;&nbsp;connPool)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiates asynchronous HTTP request execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T,E extends <A HREF="../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,<A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&gt;&gt; 
<BR>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequester.</B><B><A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.pool.ConnPool, org.apache.http.protocol.HttpContext)">execute</A></B>(<A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
        <A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;&nbsp;responseConsumer,
        <A HREF="../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,E&gt;&nbsp;connPool,
        <A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiates asynchronous HTTP request execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T,E extends <A HREF="../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,<A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&gt;&gt; 
<BR>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequester.</B><B><A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.pool.ConnPool, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)">execute</A></B>(<A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
        <A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;&nbsp;responseConsumer,
        <A HREF="../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,E&gt;&nbsp;connPool,
        <A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context,
        <A HREF="../../../../org/apache/http/concurrent/FutureCallback.html" title="interface in org.apache.http.concurrent">FutureCallback</A>&lt;T&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiates asynchronous HTTP request execution.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../org/apache/http/nio/protocol/package-summary.html">org.apache.http.nio.protocol</A> that return <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></CODE></FONT></TD>
<TD><CODE><B>BasicAsyncRequestExecutionHandler.</B><B><A HREF="../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html#getTarget()">getTarget</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></CODE></FONT></TD>
<TD><CODE><B>BasicAsyncRequestProducer.</B><B><A HREF="../../../../org/apache/http/nio/protocol/BasicAsyncRequestProducer.html#getTarget()">getTarget</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequestProducer.</B><B><A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html#getTarget()">getTarget</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to obtain the request target host.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Method parameters in <A HREF="../../../../org/apache/http/nio/protocol/package-summary.html">org.apache.http.nio.protocol</A> with type arguments of type <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T,E extends <A HREF="../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,<A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&gt;&gt; 
<BR>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequester.</B><B><A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.pool.ConnPool)">execute</A></B>(<A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
        <A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;&nbsp;responseConsumer,
        <A HREF="../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,E&gt;&nbsp;connPool)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiates asynchronous HTTP request execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T,E extends <A HREF="../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,<A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&gt;&gt; 
<BR>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequester.</B><B><A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.pool.ConnPool, org.apache.http.protocol.HttpContext)">execute</A></B>(<A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
        <A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;&nbsp;responseConsumer,
        <A HREF="../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,E&gt;&nbsp;connPool,
        <A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiates asynchronous HTTP request execution.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T,E extends <A HREF="../../../../org/apache/http/pool/PoolEntry.html" title="class in org.apache.http.pool">PoolEntry</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,<A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&gt;&gt; 
<BR>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html?is-external=true" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>HttpAsyncRequester.</B><B><A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.pool.ConnPool, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)">execute</A></B>(<A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>&nbsp;requestProducer,
        <A HREF="../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;&nbsp;responseConsumer,
        <A HREF="../../../../org/apache/http/pool/ConnPool.html" title="interface in org.apache.http.pool">ConnPool</A>&lt;<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>,E&gt;&nbsp;connPool,
        <A HREF="../../../../org/apache/http/protocol/HttpContext.html" title="interface in org.apache.http.protocol">HttpContext</A>&nbsp;context,
        <A HREF="../../../../org/apache/http/concurrent/FutureCallback.html" title="interface in org.apache.http.concurrent">FutureCallback</A>&lt;T&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initiates asynchronous HTTP request execution.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../org/apache/http/nio/protocol/package-summary.html">org.apache.http.nio.protocol</A> with parameters of type <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/nio/protocol/BasicAsyncRequestProducer.html#BasicAsyncRequestProducer(org.apache.http.HttpHost, org.apache.http.HttpEntityEnclosingRequest, org.apache.http.nio.entity.HttpAsyncContentProducer)">BasicAsyncRequestProducer</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;target,
                          <A HREF="../../../../org/apache/http/HttpEntityEnclosingRequest.html" title="interface in org.apache.http">HttpEntityEnclosingRequest</A>&nbsp;request,
                          <A HREF="../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html" title="interface in org.apache.http.nio.entity">HttpAsyncContentProducer</A>&nbsp;producer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a producer that can be used to transmit the given request
 message.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/nio/protocol/BasicAsyncRequestProducer.html#BasicAsyncRequestProducer(org.apache.http.HttpHost, org.apache.http.HttpRequest)">BasicAsyncRequestProducer</A></B>(<A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http">HttpHost</A>&nbsp;target,
                          <A HREF="../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a producer that can be used to transmit the given request
 message.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../org/apache/http/HttpHost.html" title="class in org.apache.http"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http//class-useHttpHost.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpHost.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
